﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AdminDefault.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.AdminDefault, Mogul.SeoManager" MasterPageFile="" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">   
    <uc:Header ID="headerControl" runat="server"/>
    <div class="clearfix" id="content-container">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <div class="leftColumn">
            <p class="title"><%= ViewModel.WelcomeText %> SEO Manager</p>
		    <p class="intro"><strong><%= ViewModel.Text %></strong></p>
		    <% for (var i = 0; i < 5; i++) { %>
                <strong><%= ViewModel.TextBlocks[i].Headline %></strong>
                <p><%= ViewModel.TextBlocks[i].Text %></p>
            <% } %>
        </div>
	    <div class="rightColumn">
            <p id="l"><%= ViewModel.LaunchText %> SEO Manager</p>
            <p id="s">Status</p>
            SEO Manager <asp:Literal ID="litActive" runat="server" />
            <asp:LinkButton ID="lbDisable" CssClass="di" runat="server" OnClick="ActivateSeoManager" />
            <asp:Label runat="server" ID="UserMessage" CssClass="successMessage" />
            <p id="li"><%= ViewModel.LicenseInfoText %></p>
            <strong><%= ViewModel.CustomerText %></strong>
            <p><%= ViewModel.LicenseCustomerValue %></p>
            <strong><%= ViewModel.LicenseIDText %></strong>
            <p><%= ViewModel.LicenseIDValue %></p>
            <strong><%= ViewModel.LicenseDateText %></strong>
            <p><%= ViewModel.LicenseDateValue %></p>
            <strong><%= ViewModel.ExpiryDateText %></strong>
            <p><%= ViewModel.ExpiryDateValue %></p>
            <strong><%= ViewModel.ValidForText %></strong>
            <p>Version <%= ViewModel.LicenseVersionValue %></p>
            <strong>SEO Manager version</strong>
            <p><%= ViewModel.SEOManagerVersionValue %></p>
            <strong>EPiServer license number</strong>
            <p><%= ViewModel.EPiServerLicenseNumber %></p>
        </div>
    </div>
</asp:Content>