﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LoadNotFoundUrlsFromGoogle.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.LoadNotFoundUrlsFromGoogle, Mogul.SeoManager" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title><%= ViewModel.Heading %></title>
        <script type="text/javascript" src="js/libs/jquery-1.9.1.min.js"></script>
        <link rel="stylesheet" href="css/style2.css?v=1.9.0" />
        <script type="text/javascript">
            var myWindow, authURL, codeSearch;
            function FetchIt() {
                if (myWindow) return true;
                var wLeft = (screen.width / 2) - 320;
                var wTop = (screen.height / 2) - 240;
                myWindow = window.open(authURL, "", "width=640,height=480,left=" + wLeft + ",top=" + wTop);
                return false;
            }
            function myWindowClose() {
                myWindow.close();
                eval($(".btnFetch").attr('href'));
            }
            function receiveMessage(event) {
                var origin = event.origin || event.originalEvent.origin;
                if (origin !== "http://www.mogul.com" && origin !== "https://www.mogul.com") return;
                $("#hidCode").val(event.data);
                setTimeout("myWindowClose()", 300);
            }
            if (window.addEventListener) {
                window.addEventListener("message", receiveMessage, false);
            }
            else if (window.attachEvent) {
                window.attachEvent("message", receiveMessage);
            }
        </script>
    </head>
    <body id="edit-modal">
        <form id="form1" runat="server" EnableViewState="true">
            <div class="modal">
                <h3><%= ViewModel.Heading %></h3><span class="iespan"><%= ViewModel.IENotWork %></span>
                <asp:PlaceHolder ID="phLogin" runat="server" Visible="true">
                    <div class="divGoog">
                    	<asp:LinkButton ID="btnFetch" runat="server" CssClass="button btnFetch" OnClick="btnFetch_Click" OnClientClick="return FetchIt();" />
                    	<asp:Label ID="lblMessage" runat="server" />
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phSites" runat="server" Visible="false">
                    <div id="divSites">
                        <p><%= ViewModel.YourSites %></p>
                        <asp:DropDownList ID="ddlSites" runat="server" /><asp:LinkButton ID="lbLoginAgain" OnClick="lbLoginAgain_Click" runat="server" CssClass="ri" />
                        <asp:LinkButton ID="lbGetUlrs" CssClass="button" OnClick="lbGetUlrs_Click" runat="server" />
                        <div class="rptUrls">
                            <asp:Repeater ID="rptURLs" runat="server">
                                <ItemTemplate><label><asp:CheckBox ID="cb" runat="server" Checked="true" /><span></span></label> <%# Container.DataItem %><br /></ItemTemplate>
                            </asp:Repeater>
                        </div>
                        <asp:Literal ID="litURLs" runat="server" /><br />
                        <asp:LinkButton ID="btnCommit" runat="server" CssClass="button" OnClick="btnCommit_Click" Enabled="false" /><br />
                        <%= ViewModel.DuplicatedUrlsWarning %>
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phImpSuccess" runat="server" Visible="false">
                    <div class="filter">
                        <asp:Label ID="lblImportSuccess" runat="server" />
                    </div>
                </asp:PlaceHolder>
		        <input type="hidden" name="hidCode" id="hidCode" value="" />
            </div>
        </form>
	    <script type="text/javascript">
	        authURL = "<%= AuthURL %>";
	        if (navigator.userAgent.indexOf("MSIE") < 0 &&
                navigator.userAgent.indexOf("Trident") < 0) {
	            $(".iespan").hide();
	        }
	    </script>
    </body>
</html>