﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Header.ascx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.UserControls.Header, Mogul.SeoManager"%>
<%@ Import Namespace="Mogul.SeoManager.Logic.Common" %>
<div id="header-container">
	<header class="page-width">
    	<asp:Panel ID="pnlLicense" runat="server" CssClass="licenseMessage" Visible="False">
        	<%= errorMessage %>
    	</asp:Panel>
    	<asp:Panel ID="pnlUrlsNotGenerated" runat="server" CssClass="treeNotGeneratedMessage" Visible="False">
        	<%= ViewModel.SiteTreeNotGeneratedErrorMessage %>
    	</asp:Panel>
		<h1 class="logo">
			<a href='<%= ResolveUrl("../AdminDefault.aspx") %>' title='Mogul SEO Manager'>
				<span>MOGUL</span>
			</a>
		</h1>
    	<% if (menuItems != null) { %>
    		<div id="piMenu">
    			<ul>
        		<% foreach (PageProviderMenuItem mI in menuItems)
            		{ %>
        			<li <%= mI.Selected ? "class='selected'" : "" %>><a href="?pn=<%= mI.ProviderName %>"><%= mI.DisplayName %></a></li>
        		<% } %>
    			</ul>
    		</div>
    	<% } %>
	</header>
</div>
